/*
//*****************************************************************************
/*
*	@(#) Material_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;
import javax.vecmath.Color3f;

public class Material_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													Material.ALLOW_COMPONENT_READ,
												};

	public Material_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Material\r\n";
		
		Material material = (Material) obj;
		
		Color3f color = new Color3f();
		material.getAmbientColor( color );
		szText += "Ambient Color: " + color.toString() + "\r\n";
		
		material.getDiffuseColor( color );
		szText += "Diffuse Color: " + color.toString() + "\r\n";
		
		material.getEmissiveColor( color );
		szText += "Emissive Color: " + color.toString() + "\r\n";

		material.getSpecularColor( color );
		szText += "Specular Color: " + color.toString() + "\r\n";

		szText += "Enable: " + material.getLightingEnable() + "\r\n";
		
		szText += "Shininess: " + material.getShininess() + "\r\n";

		return szText;
	}
}